> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer WAV ダウンロード API 連携説明

> Producer Music Generation API guide - Ace Data Cloud

Producer では、楽曲に関連するWAVファイルをダウンロードできます。本ドキュメントでは、関連する API の連携方法について説明します。

この API には入力パラメータが1つだけあり、それは `audio_id` で、楽曲の一意なIDです。

ここで入力する `audio_id` は `a54609c6-13e2-4176-be0f-4d7eebc68e1f` であり、Producer によって生成された楽曲IDです。

```bash theme={null}
curl -X POST 'https://api.acedata.cloud/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

結果は以下のとおりです：

```
{
  "success": true,
  "task_id": "44963173-b6c5-463c-915f-96730d14ec63",
  "trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
  "data": [
    {
      "title": "Woke up with the sun in my eyes",
      "file_url": "https://cdn.acedata.cloud/assets/examples/fish/64adc04b-c196-4a0f-9070-222ba101ce6c-fc50de38c165.wav"
    }
  ]
}
```

確認できるように、`data` の `file_url` フィールドがダウンロード用のWAVリンクです。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.